package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 商品订单支付表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("goods_order_payment")
public class GoodsOrderPayment extends Model<GoodsOrderPayment> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    @TableField("goods_order_id_")
    private Long goodsOrderId;
    /**
     * 支付渠道
     */
    @TableField("payment_channel_")
    private String paymentChannel;
    /**
     * 业务渠道
     */
    @TableField("payment_business_channel_")
    private String paymentBusinessChannel;
    /**
     * 支付账号
     */
    @TableField("payment_account_no_")
    private String paymentAccountNo;
    /**
     * 支付金额
     */
    @TableField("amount_")
    private BigDecimal amount;
    /**
     * 交易流水号
     */
    @TableField("trans_no_")
    private String transNo;
    /**
     * 订单号
     */
    @TableField("order_no_")
    private String orderNo;
    /**
     * 支付状态
     */
    @TableField("pay_status_")
    private String payStatus;
    /**
     * 到账时间
     */
    @TableField("arrival_time_")
    private Date arrivalTime;
    /**
     * 备注
     */
    @TableField("remark_")
    private String remark;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public GoodsOrderPayment setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public GoodsOrderPayment setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Long getGoodsOrderId() {
        return goodsOrderId;
    }

    public GoodsOrderPayment setGoodsOrderId(Long goodsOrderId) {
        this.goodsOrderId = goodsOrderId;
        return this;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public GoodsOrderPayment setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
        return this;
    }

    public String getPaymentBusinessChannel() {
        return paymentBusinessChannel;
    }

    public GoodsOrderPayment setPaymentBusinessChannel(String paymentBusinessChannel) {
        this.paymentBusinessChannel = paymentBusinessChannel;
        return this;
    }

    public String getPaymentAccountNo() {
        return paymentAccountNo;
    }

    public GoodsOrderPayment setPaymentAccountNo(String paymentAccountNo) {
        this.paymentAccountNo = paymentAccountNo;
        return this;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public GoodsOrderPayment setAmount(BigDecimal amount) {
        this.amount = amount;
        return this;
    }

    public String getTransNo() {
        return transNo;
    }

    public GoodsOrderPayment setTransNo(String transNo) {
        this.transNo = transNo;
        return this;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public GoodsOrderPayment setOrderNo(String orderNo) {
        this.orderNo = orderNo;
        return this;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public GoodsOrderPayment setPayStatus(String payStatus) {
        this.payStatus = payStatus;
        return this;
    }

    public Date getArrivalTime() {
        return arrivalTime;
    }

    public GoodsOrderPayment setArrivalTime(Date arrivalTime) {
        this.arrivalTime = arrivalTime;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public GoodsOrderPayment setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public GoodsOrderPayment setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public GoodsOrderPayment setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "GoodsOrderPayment{" +
        ", id=" + id +
        ", userId=" + userId +
        ", goodsOrderId=" + goodsOrderId +
        ", paymentChannel=" + paymentChannel +
        ", paymentBusinessChannel=" + paymentBusinessChannel +
        ", paymentAccountNo=" + paymentAccountNo +
        ", amount=" + amount +
        ", transNo=" + transNo +
        ", orderNo=" + orderNo +
        ", payStatus=" + payStatus +
        ", arrivalTime=" + arrivalTime +
        ", remark=" + remark +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
